# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.561   -> 1.562  
#	drivers/usb/core/Config.in	1.2     -> 1.3    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/25	greg@kroah.com	1.562
# added CONFIG_USB_DYNAMIC_MINORS to the Config.in file :)
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/Config.in b/drivers/usb/core/Config.in
--- a/drivers/usb/core/Config.in	Thu Apr 25 16:26:55 2002
+++ b/drivers/usb/core/Config.in	Thu Apr 25 16:26:55 2002
@@ -4,11 +4,8 @@
 bool '  USB verbose debug messages' CONFIG_USB_DEBUG
 
 comment 'Miscellaneous USB options'
-bool '  USB device filesystem' CONFIG_USB_DEVICEFS
-if [ "$CONFIG_EXPERIMENTAL" = "y" ]; then
-   bool '  Enforce USB bandwidth allocation (EXPERIMENTAL)' CONFIG_USB_BANDWIDTH
-else
-   define_bool CONFIG_USB_BANDWIDTH n
-fi
-bool '  Long timeout for slow-responding devices (some MGE Ellipse UPSes)' CONFIG_USB_LONG_TIMEOUT
+    bool '  USB device filesystem' CONFIG_USB_DEVICEFS
+    bool '  Long timeout for slow-responding devices (some MGE Ellipse UPSes)' CONFIG_USB_LONG_TIMEOUT
+dep_bool '  Enforce USB bandwidth allocation (EXPERIMENTAL)' CONFIG_USB_BANDWIDTH $CONFIG_EXPERIMENTAL
+dep_bool '  Dynamic USB minor allocation (EXPERIMENTAL)' CONFIG_USB_DYNAMIC_MINORS $CONFIG_EXPERIMENTAL
 
